<?php

/*

		目录读写测试

*/

if(!defined('VI_BASE')) {
	exit('Access Denied');
}

///////////////////////////////////

//错误信息
$error = array();
	
//目录测试_开始
for( $i=0; $i<count( $Project["check"] ); $i++ ){
	
	$path = $Project["check"][$i];
	
	/*
	echo '<!--';
	echo $path;
	echo '-->';
	*/
	
	if( !is_dir($path) ){
		//缺少目录
		//$result .= str_replace( "\$info" , "VeryIDE 发现不存在此文件夹：<strong title='".$path."'>".$Project["addr"].$Project["check"][$i]."</strong>" ,str_replace( "\$title" , "缺少文件夹" ,$templet));
		
		$error[] = array( $path, "不存在此文件夹" );
		
	}else{
	
		//改权限
		!@chmod($path,0777);
	
		//测试文件
		$test = $path."test.lock";
		
		//写入测试锁
		$handle = @fopen($test, 'a');
		$states = @fwrite($handle, date("Y-m-d H:i:s"));
		@fclose($handle);
		
		if(!$states){
			//$result .= str_replace( "\$info" , "VeryIDE 缺少对目录必要的写权限：<strong title='".$path."'>".readpath($Project["addr"].$Project["check"][$i])."</strong>", str_replace( "\$title" , "缺少权限" ,$templet));
			
			$error[] = array( $path, "缺少对目录必要的写权限" );
			
		}else{
		
			$handle = fopen($test, 'r');
			$states = @fread($handle, filesize($test));
			@fclose($handle);
		
			if( !$states ){
				//$result .= str_replace( "\$info" , "VeryIDE 缺少对目录必要的读写权限：<strong>".readpath($Project["addr"].$Project["check"][$i])."</strong>", str_replace( "\$title" , "缺少权限" ,$templet));
				
				$error[] = array( $path, "缺少对目录必要的读写权限" );
				
			}else{
				//删除测试锁
				if(!@unlink($test)){
					//$result .= str_replace( "\$info" , "VeryIDE 缺少必要的删除文件权限：<strong title='".$path."'>".readpath($Project["addr"].$Project["check"][$i])."</strong>" ,str_replace( "\$title" , "缺少权限" ,$templet));
					
					$error[] = array( $path, "缺少必要的删除文件权限" );
					
				}
			}
		}
	}
}

?>

<?php

//有错误消息
if( count( $error ) > 0 ){

?>

<link type="text/css" href="style/install.css" rel="stylesheet" />

<script type="text/javascript">
	
	//暂停运行，显示测试界面
	Serv.END = true;

</script>

<!--调试界面_开始-->
<dl id="setup">
    <dt>
    
        <span>                	
            <a href="http://www.veryide.com/page.php?id=5" target="_blank"><img src="image/help.png" /> 帮助</a>
            <a href="http://www.veryide.com/bbs.php" target="_blank"><img src="image/talk.png" /> 论坛</a>
        </span>
        
        调试工具
    </dt>
    <dd>
        
        <p><strong>读写验证</strong></p>
        
        <?php
		
		foreach( $error as $err ){
		
			echo '<p class="error">'.$err[0].'：<em>'.$err[1].'</em></p>';
		
		}
		
		?>

        <p> <button onclick="location.reload();">再试试</button> </p>
        
        
    </dd>        
</dl>
<!--调试界面_开始-->

<?php

}

?>
